<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VisaModify StructType
 * @subpackage Structs
 */
class VisaModify extends AbstractStructBase
{
    /**
     * The VisaModifyRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_VisaModify
     */
    public $VisaModifyRQ;
    /**
     * Constructor method for VisaModify
     * @uses VisaModify::setVisaModifyRQ()
     * @param \StructType\JP_VisaModify $visaModifyRQ
     */
    public function __construct(\StructType\JP_VisaModify $visaModifyRQ = null)
    {
        $this
            ->setVisaModifyRQ($visaModifyRQ);
    }
    /**
     * Get VisaModifyRQ value
     * @return \StructType\JP_VisaModify|null
     */
    public function getVisaModifyRQ()
    {
        return $this->VisaModifyRQ;
    }
    /**
     * Set VisaModifyRQ value
     * @param \StructType\JP_VisaModify $visaModifyRQ
     * @return \StructType\VisaModify
     */
    public function setVisaModifyRQ(\StructType\JP_VisaModify $visaModifyRQ = null)
    {
        $this->VisaModifyRQ = $visaModifyRQ;
        return $this;
    }
}
